Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
earn
/
auto
/
rewards
Get auto earn rewards
curl --request GET \
  --url https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards \
  --header 'api-key: <api-key>' \
  --header 'api-nonce: <api-key>' \
  --header 'api-otp: <api-key>' \
  --header 'api-sign: <api-key>'
{
  "quote_symbol": "USD",
  "quote_type": "fiat",
  "total_rewarded_in_quote": "325.62",
  "next_reward_date": "2026-06-01T00:00:00Z",
  "data": [
    {
      "symbol": "ETH",
      "type": "crypto",
      "name": "Ethereum",
      "rewarded": "0.0125",
      "rewarded_in_quote": "31.25",
      "estimated_next_reward": "0.0056",
      "estimated_next_reward_in_quote": "14.00",
      "other_assets": [
        {
          "symbol": "EIGEN",
          "type": "crypto",
          "name": "Eigenlayer",
          "rewarded": "5.0",
          "rewarded_in_quote": "12.50",
          "estimated_next_reward": "0.1",
          "estimated_next_reward_in_quote": "0.25"
        }
      ]
    }
  ]
}

Authorizations

api-key
string
header
required
api-sign
string
header
required
api-nonce
string
header
required
api-otp
string
header
required

Path Parameters

account_id
string
required

ID of the account to retrieve rewards for. Refers to one of the accounts held by the user the request is acting on behalf of.

Required string length: 5 - 34
Pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]+$

Query Parameters

quote_symbol
string

Ticker symbol of the quote asset for converted amounts (e.g. "USD", "EUR"). Defaults to "USD".

Maximum string length: 10
quote_type
string

Type of the quote asset. Only "fiat" is supported. Defaults to "fiat".

Maximum string length: 16
page_token
string

Opaque page token returned by a previous response. Omit to start from the beginning.

Required string length: 1 - 64
page_size
integer<int32>

Maximum number of results to return.

Required range: 1 <= x <= 200

Response

Successful response

total_rewarded_in_quote
string

Sum of all per-asset rewarded_in_quote values expressed in the quote currency.

next_reward_date
string<date-time>

RFC 3339 timestamp.

data
object[]

Per-asset reward entries for the requested page.

next_page_token
string

Opaque token for the next page of results. Absent if there are no more results.

Required string length: 1 - 64
quote_symbol
string

Symbol of the quote asset used for converted amounts (e.g. "USD", "EUR").

quote_type
string

Type of the quote asset (e.g. "fiat").